Subject: =?UTF-8?Q?Re:_[External]_:_bug#47150:_28.0.50; _Incorrect_major-mode_in_m?= inibuffer

From: "Sheng Yang" <[email-masked]>
Date: Mon, 19 Apr 2021 14:47:20 -0500

For telega, the check for minibuffer is a simple cl-assert, and I think your suggestion of using `minibufferp` would be a better choice.

For others, their test of minibuffer-inactive-mode is actually buried in some variable `xxx-ignore-mode-list`, which is later checked by `(member major-mode xxx-ignore-modes-list)`. My current modification is to add `minibuffer-mode` to those variables. I assume this is the simplest solution?

Sheng

On Mon, Apr 19, 2021, at 14:35, Stefan Monnier wrote:
> > I managed to fix those by replacing (eq major-mode
> > 'minibuffer-inactive-mode) with (derived-mode-p 'minibuffer-mode). When this
> 
> Any reason why you won't use `minibufferp` instead, which seems more
> reliable (and backward compatible to boot)?
> 
> 
>         Stefan
> 
> 

Sheng Yang(杨圣), PhD
Computer Science Department
University of Maryland, College Park
E-mail: [email-masked]
E-mail (old but still used): [email-masked]